/*
  This file is part of Japhar, the GNU Virtual Machine for Java Bytecodes.
  Japhar is a project of The Hungry Programmers, GNU, and OryxSoft.

  Copyright (C) 1997, 1998, 1999 The Hungry Programmers

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Library General Public License for more details.

  You should have received a copy of the GNU Library General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
#include "config.h"

#include "dynamic_loading.h"

#if !defined HAVE_LIBFFI || !defined HAVE_DLL || defined PROFILING

#include "java_util_zip_Adler32_stubs.c"
#include "java_util_zip_CRC32_stubs.c"
#include "java_util_zip_Deflater_stubs.c"
#include "java_util_zip_Inflater_stubs.c"


sym_mapping java_util_zip_mappings[] = {
  MAPPING( Java_java_util_zip_Adler32_update_stub ),
  MAPPING( Java_java_util_zip_Adler32_updateBytes_stub ),
  MAPPING( Java_java_util_zip_CRC32_update_stub ),
  MAPPING( Java_java_util_zip_Deflater_setDictionary_stub ),
  MAPPING( Java_java_util_zip_Deflater_getAdler_stub ),
  MAPPING( Java_java_util_zip_Deflater_getTotalIn_stub ),
  MAPPING( Java_java_util_zip_Deflater_getTotalOut_stub ),
  MAPPING( Java_java_util_zip_Deflater_getTotalOut_stub ),
  MAPPING( Java_java_util_zip_Deflater_end_stub ),
  MAPPING( Java_java_util_zip_Deflater_init_stub ),
  MAPPING( Java_java_util_zip_Inflater_setDictionary_stub ),
  MAPPING( Java_java_util_zip_Inflater_getAdler_stub ),
  MAPPING( Java_java_util_zip_Inflater_getTotalIn_stub ),
  MAPPING( Java_java_util_zip_Inflater_getTotalOut_stub ),
  MAPPING( Java_java_util_zip_Inflater_reset_stub ),
  MAPPING( Java_java_util_zip_Inflater_end_stub ),
  MAPPING( Java_java_util_zip_Inflater_init_stub )
};

int num_java_util_zip_mappings = sizeof(java_util_zip_mappings) / sizeof(java_util_zip_mappings[0]);

#endif
